Mobile Experience Platform互換性マトリクス

モバイルエクスペリエンスモジュールでサポートされている設定詳細は、下記の表を参照してください。 

Mobile SDK 

Liferay
バージョン
オペレーティングシステム (OS)

Liferay DXP 7.1

iOS 10-11 (iOS)
SDK 16-27 (Android)

Liferay DXP 7.0

iOS 8-11 (iOS)
SDK 15-27 (Android)

 

Liferay Screens*

iOS

Liferay
バージョン
Liferay Screens
バージョン
開発環境 本番稼働環境 iOS/OSX
バージョン

Liferay DXP 7.1

4.0

Xcode 9.x
iOS SDK 9.0-11.4
Swift 4.1
Cocoapods 1.3.1

iPhone
iPad
iPod Touch

iOS 9, 10, 11

Liferay DXP 7.0

3.0

Xcode 9.x
iOS SDK 9.0-11.1
Swift 3.2
Cocoapods 1.3.1

iPhone
iPad
iPod Touch

iOS 9, 10, 11

 

Android

Liferayバージョン Liferay Screens
バージョン
開発環境 本番稼働環境 iOS/OSXバージョン

Liferay DXP 7.1

4.0

Android Studio 3.0
Android SDK 16-27
Gradle 3.0.0

Android phone
Android tablet

SDK 16-27

Liferay DXP 7.0

3.0

Android Studio 3.0
Android SDK 15-27
Gradle 3.0.0

Android phone
Android tablet

SDK 15-27

 

Xamarin

Liferay
バージョン
Liferay Screens
バージョン
開発環境 Visual Studio
バージョン

Liferay DXP 7.1

4.0

iOS SDK 9.x-11.4
Android SDK 16-25
Mono .NET 5.4.1.6

Visual Studio 7.2

Liferay DXP 7.0

3.0

iOS SDK 9.x-11.1
Android SDK 15-25
Mono .NET 5.4.1.6

Visual Studio 7.2

* LiferayのWebScreenletsは、ネイティブモバイルブラウザを活用しています。 これらのブラウザの機能が限定されているため、Liferay DXPとの完全な互換性を保証することはできません。 モバイルアプリケーションに実装されている機能に関するブラウザのサポートポリシーを確認してください。

Liferay Push**

Liferay
バージョン
オペレーティングシステム (OS)

Liferay DXP 7.1

iOS 10-11(iOS
SDK 16-27 (Android))

Liferay DXP 7.0

iOS 8-11 (iOS)
SDK 15-27 (Android)

 

** クライアントサイドライブラリ

 

 

この記事は役に立ちましたか?
0人中0人がこの記事が役に立ったと言っています